\input Head

\section{\tt WindowInfo}

A class for holding information about a window.

\subsection{Description}

{\tt WindowInfo} is a class for holding information about windows,
which are used for low-pass filtering and spectral density estimation.
The information consists of a name---e.g., {\tt "Rectangular Window"}, 
{\tt "Hann Window"}, or {\tt "Kaiser Window"}---and a parameter value 
(if any) needed to define the window.
Since rectangular and Hann windows do not require any parameters, 
the parameter values for these windows are set to 0 (by default) by 
the {\tt WindowInfo} constructor.
A Kaiser window has a non-trivial shape parameter $\beta\ge 0$, 
related to the amplitude of the sidelobes of the Fourier transform of 
the window.
A {\tt WindowInfo} object is returned by the {\tt what} method 
declared in the abstract base class {\tt Window}.
(See {\tt Window} and {\tt KaiserWindow} for more details.)

In addition to defining methods for accessing the window name 
and parameter value, {\tt WindowInfo} contains two operators 
({\tt ==} and {\tt !=}) for determining the equality or inequality
of two {\tt WindowInfo} objects.

\subsection{Operating Instructions}

\subsubsection{Example Usage}
 
{\footnotesize
\begin{verbatim}

  // verify that the WindowInfo objects for a rectangular
  // and Kaiser window are different from one another.

  RectangularWindow rw;
  KaiserWindow      kw(6); // beta = 6

  // get information about each window
  WindowInfo info1 = rw.what();
  WindowInfo info2 = kw.what();

  // test for equality
  if (info1 == info2)
  {
      cout << "something is wrong here" << endl;
  }
  else
  {
      cout << "this is what we expect"  << endl;
  }

\end{verbatim}}

\subsection{Algorithms}

Not applicable.

\subsection{Accuracy}

Not applicable.

\subsection{Performance}

Not applicable.

\subsection{Testing}

All the window classes are tested by the code contained in 
{\tt tWindow.cc}.
See the corresponding sections in {\tt RectangularWindow}, 
{\tt HannWindow}, and {\tt KaiserWindow} for details.

\subsection{Notes}

None.

\subsection{See Also}

\begin{itemize}
\item 
class {\tt Window}
\item
class {\tt RectangularWindow}
\item
class {\tt HannWindow}
\item
class {\tt KaiserWindow}
\end{itemize}

\begin{thebibliography}{99}

\end{thebibliography}

\input Tail

